Installer - Bug #31950

Need to configure pulp_ansible/galaxy endpoint in apache for satellite deployments:

02/23/2021 09:39 PM - Samir Jha

Status: Closed
Priority: Normal
Assignee: Justin Sherrill
Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-pul

pcore/pull/184
Description

For pulp_ansible deployments, installer should add the following apache conf

ProxyPass /pulp_ansible/galaxy/ unix:///run/pulpcore-api.sock|http://hostname/pulp_ansible/galaxy/
ProxyPassReverse /pulp_ansible/galaxy/ unix:///run/pulpcore-api.sock|http://hostname/pulp_ansible/galaxy/

Also,

Also, etc/pulp/settings.py needs to have the following to support ansible collection content type when it is enabled.:

ANSIBLE_API_HOSTNAME = ""https://hostname”

ANSIBLE_CONTENT_HOSTNAME = "https://hostname/pulp/content/"

Associated revisions

Revision 6ed8bede - 04/21/2021 12:37 PM - Justin Sherrill
Fixes #31950 - support ansible plugin

History

#1 - 02/24/2021 11:03 AM - Ewoud Kohl van Wijngaarden

How weird to include a protocol in a setting named HOSTNAME. Makes no sense to me.

#2 - 04/19/2021 08:09 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Justin Sherrill

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/184 added

#3 - 04/21/2021 01:01 PM - Justin Sherrill
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|6ed8be4ec1dd8170fdf8e373019164ac15cb2dec.
